brep.Trim with Pipe made from Polyline produces weird edge on the trimmed brep

No SolidPts at kinks? And that edge is “continuous” when duplicated.
Not what’s expected, which is the result of Trim command.
Funny part is that you can still snap to those kinks…

weird edge.3dm (83.5 KB)

            lngcrv = crv.Extend(Rhino.Geometry.CurveEnd.Both, tkoff * 35, Rhino.Geometry.CurveExtensionStyle.Smooth)
            pipe = Rhino.Geometry.Brep.CreatePipe(lngcrv, tkoff, False, Rhino.Geometry.PipeCapMode.None, True, tol, 0.01)
            Rhino.Geometry.Brep.Flip(pipe[0])
            sc.doc.Objects.AddBrep(pipe[0])
            trim = face.Geometry.Trim(pipe[0], tol)
            
            sc.doc.Objects.AddBrep(trim[0])
  1. Can’t emulate ExtendSrf
  2. Can’t offset surface edge with sharp corners
  3. Can’t trim properly with pipe.
  4. Trying to find a way to fix that edge now…